%global pypi_name iniconfig

%bcond_with check

Name:           python-%{pypi_name}
Version:        1.1.1
Release:        %mkrel 1
Summary:        Brain-dead simple config-ini parsing
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/iniconfig
Source0:        %{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-py
%if %{with check}
BuildRequires:  python3-pytest
%endif

%description
iniconfig is a small and simple INI-file parser module.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
iniconfig is a small and simple INI-file parser module.

%prep
%setup -qn %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%if %{with check}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%doc README.txt LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-*-py%{python3_version}.egg-info

%changelog
* Sat Aug 20 2022 TerryN <terryn94 at gmail.com> 1.1.1-1pclos2022
- import for python 3.10
